2014-12-22 04:10 EST

View Issue Details Jump to Notes ] Wiki ]
IDProjectCategoryView StatusLast Update
0007834mantisbtadministrationpublic2008-07-31 17:45
Reporterdrostan 
Assigned Togiallu 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0007834: Release dates in changelog and roadmap
DescriptionI'd like to show the release dates of versions on both the changelog and the roadmap. (For me, appending it to the title of the project-version is fine.)
Additional InformationAtatched a patch for this, which actually includes the fix for 0007832 (didn't make sense not to fix that)
TagsNo tags attached.
Attached Files
  • diff file icon fix_release_date_added.diff (2,438 bytes) 2007-03-16 17:43 - 
    Index: changelog_page.php
    ===================================================================
    RCS file: /cvsroot/mantisbt/mantisbt/changelog_page.php,v
    retrieving revision 1.18
    diff -u -r1.18 changelog_page.php
    --- changelog_page.php	20 Apr 2006 14:29:56 -0000	1.18
    +++ changelog_page.php	16 Mar 2007 22:39:29 -0000
    @@ -19,10 +19,16 @@
     	function print_version_header( $p_version_id ) {
     		$t_project_id   = version_get_field( $p_version_id, 'project_id' );
     		$t_version_name = version_get_field( $p_version_id, 'version' );
    +		$t_version_date = version_get_field( $p_version_id, 'date_order' );
     		$t_project_name = project_get_field( $t_project_id, 'name' );
     
    -		$t_release_title = string_display( $t_project_name ) . ' - ' . string_display( $t_version_name );
    -		echo $t_release_title, '<br />';
    +		$t_release_title =  $t_project_name . ' - ' .  $t_version_name;
    +		if ( $t_version_date != '0000-00-00 00:00:00' ) {
    +			$t_version_date = date( config_get( 'short_date_format' ), strtotime($t_version_date) );
    +			$t_release_title .= ' ('. $t_version_date .')';
    +		};
    +
    +		echo string_display($t_release_title), '<br />';
     		echo str_pad( '', strlen( $t_release_title ), '=' ), '<br />';
     
     		$t_description = version_get_field( $p_version_id, 'description' );
    Index: roadmap_page.php
    ===================================================================
    RCS file: /cvsroot/mantisbt/mantisbt/roadmap_page.php,v
    retrieving revision 1.3
    diff -u -r1.3 roadmap_page.php
    --- roadmap_page.php	18 Nov 2006 06:33:22 -0000	1.3
    +++ roadmap_page.php	16 Mar 2007 22:39:29 -0000
    @@ -19,10 +19,16 @@
     	function print_version_header( $p_version_row ) {
     		$t_project_id   = $p_version_row['project_id'];
     		$t_version_name = $p_version_row['version'];
    +		$t_version_date = $p_version_row['date_order'];
     		$t_project_name = project_get_field( $t_project_id, 'name' );
     
    -		$t_release_title = string_display( $t_project_name ) . ' - ' . string_display( $t_version_name );
    -		echo $t_release_title, '<br />';
    +		$t_release_title =  $t_project_name . ' - ' .  $t_version_name;
    +		if ( $t_version_date != '0000-00-00 00:00:00' ) {
    +			$t_version_date = date( config_get( 'short_date_format' ), strtotime($t_version_date) );
    +			$t_release_title .= ' ('. $t_version_date .')';
    +		};
    +
    +		echo string_display($t_release_title), '<br />';
     		echo str_pad( '', strlen( $t_release_title ), '=' ), '<br />';
     
     		$t_description = $p_version_row['description'];
    
    diff file icon fix_release_date_added.diff (2,438 bytes) 2007-03-16 17:43 + 

- Relationships
duplicate of 0008651closedjreese Display release date in changelog for released version 
+ Relationships

-  Notes
User avatar

~0014197

drostan (reporter)

oops, pardon the sloppy entry... category should be either changelog or roadmap...
User avatar

~0017636

giallu (developer)

resolved in 0008651
+  Notes

- Issue History
Date Modified Username Field Change
2007-03-16 17:43 drostan New Issue
2007-03-16 17:43 drostan File Added: fix_release_date_added.diff
2007-03-16 18:11 drostan Note Added: 0014197
2008-04-21 10:01 giallu Relationship added duplicate of 0008651
2008-04-21 10:01 giallu Status new => resolved
2008-04-21 10:01 giallu Resolution open => fixed
2008-04-21 10:01 giallu Assigned To => giallu
2008-04-21 10:01 giallu Note Added: 0017636
2008-07-31 17:45 giallu Status @0@ => closed
+ Issue History